Added support for RHEL6.5
[~tnikolova/compat/.git] / include / linux / compat-3.12.h
1 #ifndef LINUX_3_12_COMPAT_H
2 #define LINUX_3_12_COMPAT_H
3
4 #include <linux/version.h>
5
6 #if (LINUX_VERSION_CODE < KERNEL_VERSION(3,12,0))
7
8 #ifndef PTR_ERR_OR_ZERO
9 #define PTR_ERR_OR_ZERO(p) PTR_RET(p)
10 #endif
11
12 #endif /* (LINUX_VERSION_CODE < KERNEL_VERSION(3,12,0)) */
13
14 #endif /* LINUX_3_12_COMPAT_H */